﻿@using X.PagedList.Mvc.Core;
@using TestJose.DataAccess;
@using X.PagedList.Web.Common;

@model X.PagedList.IPagedList<CommentProject>

@{
    ViewData["Title"] = "Comments by user";

}

<h4>All Comments by User</h4>

<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayName("Date")
            </th>
            <th>
                @Html.DisplayName("SectionID")
            </th>
            <th>
                @Html.DisplayName("Comment")
            </th>
            <th>
                @Html.DisplayName("ProjectID")
            </th>
            @*<th></th>*@
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Date)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Section.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Comment)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Project.Name)
                </td>
                @*<td>
                        <a asp-action="Edit" asp-route-id="@item.ID">Edit</a>
                    </td>*@
            </tr>
        }
    </tbody>
</table>

@Html.PagedListPager(Model, page => Url.Action("MyComments", new { page }),
        new PagedListRenderOptionsBase
        {
            PageClasses = new string[] { "page-link" },
            UlElementClasses = new string[] { "pagination" },
            LiElementClasses = new string[] { "page-item" },
            DisplayItemSliceAndTotal = true,
            DisplayEllipsesWhenNotShowingAllPageNumbers = true,
            Display = PagedListDisplayMode.IfNeeded,
            DisplayLinkToFirstPage = PagedListDisplayMode.IfNeeded,
            DisplayLinkToLastPage = PagedListDisplayMode.IfNeeded
        }
    )
